logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Apache httpd 2.4.18 available :: Updated with OpenSSL 1.0.2g

 
Post new topic   Reply to topic    Apache Forum Index -> News & Hangout



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Sat 12 Dec '15 0:37    Post subject: Apache httpd 2.4.18 available :: Updated with OpenSSL 1.0.2g Reply with quote

Apache httpd 2.4.18 GA is now available here at the download pages.


3 March 2016 Updated with OpenSSL 1.0.2g

22 Februari 2016 Updated with OpenSSL 1.0.2f


For the ASF and Apachelounge changes over 2.4.17 see https://www.apachelounge.com/Changelog-2.4.html

VC14: now build with Visual Studio 2015 Update 1. Recommended to install the new C++ Redistributable Visual Studio 2015 Update 1, see download page.

Build with:
nghttp2 1.5.0
apr 1.5.2 with IPv6 enabled
apr-util 1.5.4 with Crypto OpenSSL enabled
apr-iconv 1.2.1
openssl 1.0.2g +asm
zlib 1.2.8 +asm
pcre 8.38 with JIT, SUPPORT_UTF8 and REBUILD_CHARTABLES enabled
httpd.exe with OPENSSL_Applink and VC14 SupportedOS Manifest
libxml2 2.9.3
lua 5.2.4 with LUA_COMPAT_ALL
expat 2.1.0

VC11 and VC14 versions do not run with XP and 2003, use the VC10 version.

Documentation: http://httpd.apache.org/docs/2.4/ attention there when you want to Upgrade to 2.4 from 2.2

When you have hangs, slow traffic and/or when having in your log entries like Asynchronous AcceptEx failed. You can try the following settings:

AcceptFilter http none
AcceptFilter https none
EnableSendfile off
EnableMMAP off

Enjoy,

Steffen

------------------------ ASF Announcement ---------------------

Apache HTTP Server 2.4.18 Released

The Apache Software Foundation and the Apache HTTP Server Project
are pleased to announce the release of version 2.4.18 of the Apache
HTTP Server ("Apache"). This version of Apache is our latest GA
release of the new generation 2.4.x branch of Apache HTTPD and
represents fifteen years of innovation by the project, and is
recommended over all previous releases. This release of Apache is
principally a feature and bug fix release.

We consider this release to be the best version of Apache available, and
encourage users of all prior versions to upgrade.


Last edited by Steffen on Mon 07 Mar '16 13:17; edited 11 times in total
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Tue 01 Mar '16 17:16    Post subject: Reply with quote

Updated with OpenSSL 1.0.2g.

OpenSSL Security Advisory: http://openssl.org/news/secadv/20160301.txt


Last edited by Steffen on Thu 03 Mar '16 12:36; edited 1 time in total
Back to top
jonks



Joined: 02 Mar 2016
Posts: 1

PostPosted: Wed 09 Mar '16 13:42    Post subject: Reply with quote

2.4.18 VC10 is still 1.0.2f
Are there plans to update it to 1.0.2g?
Back to top
admin
Site Admin


Joined: 15 Oct 2005
Posts: 551

PostPosted: Wed 09 Mar '16 14:35    Post subject: Reply with quote

Nope, VC10 is updated. Maybe you have to clear your browser cache.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> News & Hangout
Page 1 of 1